### Function

# Soup header_g_string_append_param

#### Declaration [src]

    void
    soup_header_g_string_append_param (
      GString* string,
      const char* name,
      const char* value
    )

#### Description [src]

Appends something like `name=value` to `string`, taking care to quote `value` if needed, and if so, to escape any quotes or backslashes in `value`.

Alternatively, if `value` is a non-ASCII UTF-8 string, it will be appended using RFC5987 syntax. Although in theory this is supposed to work anywhere in HTTP that uses this style of parameter, in reality, it can only be used portably with the Content-Disposition “filename” parameter.

If `value` is `NULL`, this will just append `name` to `string`.

#### Parameters

`string`

  Type: `GString`

  A `GString` being used to construct an HTTP header value.

  The data is owned by the caller of the function.

`name`

  Type: `const char*`

  A parameter name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `const char*`

  A parameter value, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.